﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private txtID As B4XView
	Private txtItem As B4XView
	Private txtQuantityOnHand As B4XView
	Private txtUOM As B4XView
	Private txtQuantityRequired As B4XView
	Private txtLastStore As B4XView
	Private txtLastAisle As B4XView
	Private txtLastPrice As B4XView
	Private btnAdd As B4XView
	Private btnUpdate As B4XView
	Private btnCancel As B4XView
	Private btnDelete As B4XView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")

	Activity.LoadLayout("CRUDLayout")
	
	If Starter.CRUDMethod = "Add" Then
		btnUpdate.Visible = False
		btnDelete.Visible = False
	Else
		btnAdd.Visible = False
	End If

	'Activity.Title = "Add/Update/Delete"
End Sub

Sub ShowData(p As Panel)
	Dim SQLCursor As Cursor
	
	Dim ID As B4XView = p.GetView(0)
	txtID.Text = ID.Text
	
	SQLCursor = Starter.SQL1.ExecQuery("SELECT * FROM Inventory WHERE ID = " & txtID.Text)
	For i = 0 To SQLCursor.RowCount-1
		SQLCursor.Position = i
		txtItem.Text = SQLCursor.GetString("Item")
		txtQuantityOnHand.Text = SQLCursor.GetLong("QuantityOnHand")
		txtUOM.Text = SQLCursor.GetString("UOM")
		txtQuantityRequired.Text = SQLCursor.GetLong("QuantityRequired")
		txtLastStore.Text = SQLCursor.GetString("LastStore")
		txtLastAisle.Text = SQLCursor.GetInt("LastAisle")
		txtLastPrice.Text = SQLCursor.GetDouble("LastPrice")
	Next
	SQLCursor.Close


'	Dim Item As B4XView = p.GetView(1)
'	txtItem.Text = Item.Text
'	Dim QuantityOnHand As B4XView = p.GetView(2)
'	txtQuantityOnHand.Text = QuantityOnHand.Text
'	Dim QuantityRequired As B4XPlusMinus = p.GetView(3).Tag
'	txtQuantityRequired.Text = QuantityRequired.SelectedValue

	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub AddItem
	
End Sub

private Sub btnAdd_Click
	Dim sqlStatement As String
	
	sqlStatement = "INSERT INTO Inventory VALUES ((SELECT MAX(ID)+1 FROM Inventory), '" & txtItem.Text & "', " & Val(txtQuantityOnHand.Text) & ", '" & txtUOM.Text & "', " & Val(txtQuantityRequired.Text) & ", '" & txtLastStore.Text & "', " & Val(txtLastAisle.Text) & ", " & Val(txtLastPrice.Text) & ")"
	Starter.SQL1.ExecNonQuery(sqlStatement)
	
	Activity.Finish
	
	Dim im As IME
	im.Initialize("")
	im.HideKeyboard
End Sub

Private Sub btnUpdate_Click
	Dim sqlStatement As String
	
	sqlStatement = "UPDATE Inventory SET Item = '" & txtItem.Text & "', QuantityOnHand = " & Val(txtQuantityOnHand.Text) & ", UOM = '" & txtUOM.Text & "', QuantityRequired = " & Val(txtQuantityRequired.Text) & ", LastStore = '" & txtLastStore.Text & "', LastAisle = " & Val(txtLastAisle.Text) & ", LastPrice = " & Val(txtLastPrice.Text) & " WHERE ID = " & txtID.text
	Starter.SQL1.ExecNonQuery(sqlStatement)
	
	Activity.Finish
	
	Dim im As IME
	im.Initialize("")
	im.HideKeyboard
End Sub

Private Sub btnCancel_Click
	Activity.Finish
End Sub

Private Sub btnDelete_Click
	Dim sqlStatement As String
	
	sqlStatement = "DELETE FROM Inventory WHERE ID = " & txtID.text
	Starter.SQL1.ExecNonQuery(sqlStatement)
	
	Activity.Finish
End Sub

Public Sub Val(Txt As String) As Double
	If IsNumber(Txt) Then
		Return Txt
	Else
		Return 0
	End If
End Sub